ActiveMQAsfEndpointWorker.ServerSessionImpl (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.ra.ActiveMQAsfEndpointWorker.ServerSessionImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.ra
Class ActiveMQAsfEndpointWorker.ServerSessionImpl

    java.lang.Object
      org.codehaus.activemq.ra.ActiveMQAsfEndpointWorker.ServerSessionImpl

All Implemented Interfaces:
  MessageListener, Runnable, ServerSession, Work

Enclosing class:
  ActiveMQAsfEndpointWorker

class ActiveMQAsfEndpointWorker.ServerSessionImpl
extends Object
implements ServerSession, Work, MessageListener

Field Summary
`(package private) int` | `runCounter`
`(package private) boolean` | `runningFlag`
`(package private) Session` | `session`
`(package private) boolean` | `workPendingFlag`
`(package private) XAResource` | `xaResource`

Constructor Summary
`ActiveMQAsfEndpointWorker.ServerSessionImpl(ActiveMQAsfEndpointWorker.ServerSessionPoolImpl pool, Session session)`

Method Summary
`Session` | `getSession()`
`void` | `onMessage(Message message)`
`void` | `release()`
`void` | `run()`
`void` | `start()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### session

    Session session

### workPendingFlag

    boolean workPendingFlag

### runningFlag

    boolean runningFlag

### runCounter

    int runCounter

### xaResource

    XAResource xaResource

Constructor Detail

### ActiveMQAsfEndpointWorker.ServerSessionImpl

    public ActiveMQAsfEndpointWorker.ServerSessionImpl(ActiveMQAsfEndpointWorker.ServerSessionPoolImpl pool,
                                                       Session session)
                                                throws JMSException

Method Detail

### getSession

    public Session getSession()
                       throws JMSException

  Specified by:
    `getSession` in interface `ServerSession`
  Throws:
    `JMSException`
  See Also:
    `ServerSession.getSession()`

### start

    public void start()
               throws JMSException

  Specified by:
    `start` in interface `ServerSession`
  Throws:
    `JMSException`
  See Also:
    `ServerSession.start()`

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  See Also:
    `Runnable.run()`

### release

    public void release()

  Specified by:
    `release` in interface `Work`
  See Also:
    `Work.release()`

### onMessage

    public void onMessage(Message message)

  Specified by:
    `onMessage` in interface `MessageListener`
  See Also:
    `MessageListener.onMessage(javax.jms.Message)`

### toString

    public String toString()

  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.